## mysql-workbench 8.0.19+dfsg

=== debian/changelog ===
mysql-workbench (8.0.19+dfsg-1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:07:38 +0000

mysql-workbench (8.0.19+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "libproj-dev".
  * Re-named: "debian/TODO.Debian" --> "debian/TODO".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jan 2020 13:37:10 +1100

mysql-workbench (8.0.18+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.1.
  * Build-Depends += "rapidjson-dev".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Nov 2019 12:00:15 +1100

mysql-workbench (8.0.17+dfsg-2) unstable; urgency=medium

  * Removed "-Werror" flag to avoid FTBFS on GCC updates (Closes: #939891).
    Thanks, Bas Couwenberg.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 01 Oct 2019 11:14:02 +1000

=== debian/control ===
Source: mysql-workbench
Section: database
Priority: optional
Standards-Version: 4.4.1
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
Build-Depends: debhelper-compat (= 12) ,dh-python
    ,g++-8
 ,cmake ,perl
 ,autoconf ,automake ,libtool
 ,bison ,flex ,swig
 ,doxygen
 ,gettext
 ,antlr4 (>= 4.6~)
 ,libantlr4-runtime-dev
 ,libboost-dev
 ,libcairo2-dev
 ,libfreetype6-dev
 ,libgdal-dev
 ,libgl1-mesa-dev
 ,libglib2.0-dev
# ,libgnome-keyring-dev
    ,libsecret-1-dev
    ,libssh-dev (>= 0.8.1~)
###    ,libssh2-1-dev (>= 1.8.0~)
    ,default-jre-headless
 ,libgtk-3-dev
 ,libgtkmm-3.0-dev
 ,liblua5.1-0-dev
 ,default-libmysqlclient-dev
 ,libmysqlcppconn-dev (>= 1.1.12~)
 ,libpcre3-dev
 ,libpixman-1-dev
 ,libpng-dev
 ,libproj-dev
 ,libsqlite3-dev
 ,libtinyxml-dev (>= 2.6.2)
 ,libvsqlitepp-dev
 ,libxml2-dev
 ,libzip-dev
 ,python-dev
 ,python-paramiko
 ,rapidjson-dev
 ,unixodbc-dev
 ,uuid-dev
 ,xdg-utils
Homepage: http://dev.mysql.com/workbench/
Vcs-Browser: https://salsa.debian.org/debian/mysql-workbench
Vcs-Git: https://salsa.debian.org/debian/mysql-workbench.git

Package: mysql-workbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 ,mysql-workbench-data (= ${source:Version})
 ,python-mysql.connector
 ,python-paramiko
 ,python-pexpect
 ,python-pyodbc (>= 2.1.8)
 ,python-pysqlite2
Recommends: ttf-bitstream-vera, mysql-utilities
           ,default-mysql-client | virtual-mysql-client
#Suggests: gnome-keyring
Description: MySQL Workbench - a visual database modeling, administration and queuing tool
 MySQL Workbench is a modeling tool that allows one to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.

Package: mysql-workbench-data
Architecture: all
Depends: ${misc:Depends}
Description: MySQL Workbench -- architecture independent data
 MySQL Workbench is a modeling tool that allows one to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
 .
 This package provides architecture independent files

#Package: mysql-workbench-docs
#Architecture: all
#Depends: ${misc:Depends}, libjs-jquery
#Recommends: yelp
#Suggests: www-browser
#Section: doc
#Description: MySQL Workbench -- Documentation for developers
# MySQL Workbench is a modeling tool that allow to design
# and generate MySQL databases graphically. It also has administration
# and query development modules where you can manage MySQL server instances
# and execute SQL queries.
# .
# This package provides documentation for developers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

## "bindnow" causes run-time errors:
#export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

# minimise needless linking
export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed

export DEB_CPPFLAGS_MAINT_APPEND= -std=c++11 -Wno-error=deprecated-declarations
# -Wno-error=deprecated-copy -Wno-error=format-overflow=
# -std=c++11

export ANTLR_JAR_PATH=/usr/share/java/antlr4.jar

MAX_PARALLEL=--max-parallel=3

%:
	dh $@ $(MAX_PARALLEL) --with python2

override_dh_clean:
	$(RM) -rv CMakeFiles ext/antlr-runtime/.libs
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_UNIXODBC=ON \
            -DCMAKE_INSTALL_PREFIX=/usr \
            -DWITH_ANTLR_JAR=${ANTLR_JAR_PATH} \
            -DANTLR4_INCLUDE_DIRS="/usr/include/antlr4-runtime" \
            -DREAL_EXECUTABLE_DIR=/usr/lib/$(DEB_SOURCE) \
        ;

#            -DOpenGL_GL_PREFERENCE=GLVND \

override_dh_auto_build:
	# rebuild files generated by flex/bison
	cd library/sql.parser/yy_gen-tool/yy_gen-tool/ \
        && bison -dl parser.yy \
        && flex -B -oparser.lex.cc parser.lex
	cd library/parsers/grammars \
        && antlr4 -Dlanguage=Cpp -listener -visitor -o ../mysql -package parsers MySQLLexer.g4 MySQLParser.g4
	# generate documentation for mysql-workbench-docs package
	#cd doc && ./DoxygenRun.sh
	# build all the rest
	dh_auto_build $(MAX_PARALLEL)

override_dh_auto_install:
	dh_auto_install $(MAX_PARALLEL) --destdir=$(CURDIR)/debian/tmp
	# .desktop to unix line endings
	sed -i 's/\r//g' debian/tmp/usr/share/applications/*.desktop
	# remove *.la files
	find . -name '*.la' -delete -printf 'removing %p\n'
	# install link to launcher to /usr/bin/
	dh_link -p$(DEB_SOURCE) \
            usr/lib/$(DEB_SOURCE)/mysql-workbench usr/bin/mysql-workbench

override_dh_python2:
	dh_python2 --no-ext-rename

override_dh_compress:
	dh_compress --exclude=.mwb

override_dh_makeshlibs:
	dh_makeshlibs --noscripts

# help `dh_shlibdeps` to find local libraries: 'dpkg-shlibdeps: error: couldn't find library'
override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/$(DEB_SOURCE):/usr/lib/$(DEB_SOURCE)/plugins:$(LD_LIBRARY_PATH)

## semi-automated manpage generation (to invoke manually)
MAN_NAME=mysql-workbench \\- MySQL Database Design, Administration and Development Tool
mysql-workbench.1:
	help2man --no-info --manual="mysql-workbench" --name="$(MAN_NAME)" mysql-workbench > $@
	perl \
            -E 's{^.*?\s+\\-\s+mysql-workbench.*}{$(MAN_NAME)}; # correcting NAME section'     \
            -E 's{^\.SH DESCRIPTION}{.SH SYNOPSIS};             # correcting SYNOPSIS section' \
            -E 's{^mysql\\-workbench\K\\-bin}{};                # correcting executable name'  \
            -E 's{^Options:}{.SH OPTIONS};                      # create OPTIONS section'      \
            -pi $@

## mysql-workbench 8.0.26+dfsg

=== library/cdbc/CMakeLists.txt ===
add_library(cdbc
    src/driver_manager.cpp
    src/sql_batch_exec.cpp
)

target_include_directories(cdbc
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src>
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/generated>
)

target_include_directories(cdbc
 SYSTEM
  PUBLIC
    $<BUILD_INTERFACE:${MySQLCppConn_INCLUDE_DIRS}>

)

target_compile_options(cdbc PRIVATE ${WB_CXXFLAGS})

target_link_libraries(cdbc 
  PUBLIC 
    ${MySQLCppConn_LIBRARIES}
    wbprivate::wbprivate
    wbssh::wbssh
  PRIVATE
    Boost::boost
    grt::grt
    wbbase::wbbase
)

if(BUILD_FOR_GCOV)
  target_link_libraries(cdbc PRIVATE gcov)
endif()

set_target_properties(cdbc
                      PROPERTIES VERSION   ${WB_VERSION}
                                 SOVERSION ${WB_VERSION})

if(COMMAND cotire)
    set_target_properties(cdbc PROPERTIES
        COTIRE_PREFIX_HEADER_IGNORE_PATH "${PRECOMPILED_HEADERS_EXCLUDE_PATHS}")

    cotire(cdbc)
endif()
install(TARGETS cdbc DESTINATION ${WB_INSTALL_LIB_DIR})

=== debian/changelog ===
mysql-workbench (8.0.26+dfsg-1ubuntu1) impish; urgency=medium

  * debian/patches/disablewarnings.patch: Disable Werror flag (again).
  * disable mariadb-build.patch, since we don't build against mariadb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Oct 2021 16:27:22 +0000

mysql-workbench (8.0.26+dfsg-1) unstable; urgency=medium

  * New upstream release.
    + transitioned to Python3 (Closes: #937102, #953138, #937102).
  * Removed dependency on "g++-8" (Closes: #944177).
  * Build-Depends:
    = libssh-dev (>= 0.9.5~)
    = libantlr4-runtime-dev (>= 4.9+dfsg-1.1~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 26 Jul 2021 12:38:20 +1000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: database
 Priority: optional
 Standards-Version: 4.4.1
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper-compat (= 12) ,dh-python
-    ,g++-8
  ,cmake ,perl
  ,autoconf ,automake ,libtool
  ,bison ,flex ,swig
  ,doxygen
  ,gettext
  ,antlr4 (>= 4.6~)
- ,libantlr4-runtime-dev
+ ,libantlr4-runtime-dev (>= 4.9+dfsg-1.1~)
  ,libboost-dev
  ,libcairo2-dev
  ,libfreetype6-dev
@@ -21,8 +21,8 @@
  ,libglib2.0-dev
 # ,libgnome-keyring-dev
     ,libsecret-1-dev
-    ,libssh-dev (>= 0.8.1~)
-###    ,libssh2-1-dev (>= 1.8.0~)
+    ,libssh-dev (>= 0.9.5~)
+#   ,libssh-gcrypt-dev
     ,default-jre-headless
  ,libgtk-3-dev
  ,libgtkmm-3.0-dev
@@ -38,8 +38,8 @@
  ,libvsqlitepp-dev
  ,libxml2-dev
  ,libzip-dev
- ,python-dev
- ,python-paramiko
+ ,python3-dev
+ ,python3-paramiko
  ,rapidjson-dev
  ,unixodbc-dev
  ,uuid-dev
@@ -50,13 +50,12 @@
 
 Package: mysql-workbench
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
  ,mysql-workbench-data (= ${source:Version})
- ,python-mysql.connector
- ,python-paramiko
- ,python-pexpect
- ,python-pyodbc (>= 2.1.8)
- ,python-pysqlite2
+ ,python3-mysql.connector
+ ,python3-paramiko
+ ,python3-pexpect
+ ,python3-pyodbc (>= 2.1.8)
 Recommends: ttf-bitstream-vera, mysql-utilities
            ,default-mysql-client | virtual-mysql-client
 #Suggests: gnome-keyring

=== debian/rules ===
--- 
+++ 
@@ -9,19 +9,20 @@
 ## "bindnow" causes run-time errors:
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
-# minimise needless linking
-export DEB_LDFLAGS_MAINT_APPEND= -Wl,--as-needed
-
-export DEB_CPPFLAGS_MAINT_APPEND= -std=c++11 -Wno-error=deprecated-declarations
+export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations
 # -Wno-error=deprecated-copy -Wno-error=format-overflow=
 # -std=c++11
+
+## Under fakeroot ccache fails because
+## CCACHE_TEMPDIR=="/run/user/0/ccache-tmp" fails due to lack of permission.
+export CCACHE_TEMPDIR:=/tmp/ccache-tmp
 
 export ANTLR_JAR_PATH=/usr/share/java/antlr4.jar
 
 MAX_PARALLEL=--max-parallel=3
 
 %:
-	dh $@ $(MAX_PARALLEL) --with python2
+	dh $@ $(MAX_PARALLEL) --with python3
 
 override_dh_clean:
 	$(RM) -rv CMakeFiles ext/antlr-runtime/.libs
@@ -34,9 +35,9 @@
             -DWITH_ANTLR_JAR=${ANTLR_JAR_PATH} \
             -DANTLR4_INCLUDE_DIRS="/usr/include/antlr4-runtime" \
             -DREAL_EXECUTABLE_DIR=/usr/lib/$(DEB_SOURCE) \
+            -DOpenGL_GL_PREFERENCE=GLVND \
         ;
 
-#            -DOpenGL_GL_PREFERENCE=GLVND \
 
 override_dh_auto_build:
 	# rebuild files generated by flex/bison
@@ -60,8 +61,8 @@
 	dh_link -p$(DEB_SOURCE) \
             usr/lib/$(DEB_SOURCE)/mysql-workbench usr/bin/mysql-workbench
 
-override_dh_python2:
-	dh_python2 --no-ext-rename
+override_dh_python3:
+	dh_python3 --no-ext-rename
 
 override_dh_compress:
 	dh_compress --exclude=.mwb

## mysql-workbench 8.0.32+dfsg

=== debian/changelog ===
mysql-workbench (8.0.32+dfsg-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New patch to fix FTBFS with GCC 13 (Closes: #1051433).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 24 Nov 2023 21:26:54 +1100

mysql-workbench (8.0.32+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fixed "non-installable" bug (Closes: #1009657).
  * Standards-Version: 4.6.1.
  * Updated watch file.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 22 Mar 2023 14:10:41 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mysql-workbench
 Section: database
 Priority: optional
-Standards-Version: 4.4.1
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 4.6.1
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper-compat (= 12) ,dh-python
  ,cmake ,perl
@@ -56,7 +55,7 @@
  ,python3-paramiko
  ,python3-pexpect
  ,python3-pyodbc (>= 2.1.8)
-Recommends: ttf-bitstream-vera, mysql-utilities
+Recommends: ttf-bitstream-vera
            ,default-mysql-client | virtual-mysql-client
 #Suggests: gnome-keyring
 Description: MySQL Workbench - a visual database modeling, administration and queuing tool

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## "bindnow" causes run-time errors:
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
-export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations
+export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations -Wno-error=maybe-uninitialized -Wno-error=c++20-compat -Wno-error=overloaded-virtual=
 # -Wno-error=deprecated-copy -Wno-error=format-overflow=
 # -std=c++11
 
@@ -31,6 +31,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
             -DUSE_UNIXODBC=ON \
+              -DUNIXODBC_LIBRARIES="-lodbc" \
             -DCMAKE_INSTALL_PREFIX=/usr \
             -DWITH_ANTLR_JAR=${ANTLR_JAR_PATH} \
             -DANTLR4_INCLUDE_DIRS="/usr/include/antlr4-runtime" \

## mysql-workbench 8.0.41+dfsg

=== debian/changelog ===
mysql-workbench (8.0.41+dfsg-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Drop unused libproj-dev build dependency (Closes: #1050772).

  [ Dmitry Smirnov ]
  * New upstream release.
    + Fixed FTBFS with libxml2 2.12 (Closes: #1074563).
    + Fixed FTBFS with gdal-3.10 (Closes: #1085320).
  * New patch to fix FTBFS with swig-4.3.
  * New patch to undo some ANTLR changes that caused FTBFS.
  * Updated upstream signing key.
  * rules: --max-parallel=8
  * rules: CPPFLAGS += "-Wno-error=missing-field-initializers".
  * Build-Depends:
    - libpcre3-dev
    - libfreetype6-dev
    + libfreetype-dev
    - libgl1-mesa-dev
    + libgl-dev
  * Standards-Version: 4.7.2

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Mar 2025 23:42:53 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mysql-workbench
 Section: database
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
 Build-Depends: debhelper-compat (= 12) ,dh-python
@@ -14,9 +14,9 @@
  ,libantlr4-runtime-dev (>= 4.9+dfsg-1.1~)
  ,libboost-dev
  ,libcairo2-dev
- ,libfreetype6-dev
+ ,libfreetype-dev
  ,libgdal-dev
- ,libgl1-mesa-dev
+ ,libgl-dev
  ,libglib2.0-dev
 # ,libgnome-keyring-dev
     ,libsecret-1-dev
@@ -28,10 +28,8 @@
  ,liblua5.1-0-dev
  ,default-libmysqlclient-dev
  ,libmysqlcppconn-dev (>= 1.1.12~)
- ,libpcre3-dev
  ,libpixman-1-dev
  ,libpng-dev
- ,libproj-dev
  ,libsqlite3-dev
  ,libtinyxml-dev (>= 2.6.2)
  ,libvsqlitepp-dev

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ## "bindnow" causes run-time errors:
 #export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
-export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations -Wno-error=maybe-uninitialized -Wno-error=c++20-compat -Wno-error=overloaded-virtual=
+export DEB_CPPFLAGS_MAINT_APPEND= -Wno-error=deprecated-declarations -Wno-error=maybe-uninitialized -Wno-error=c++20-compat -Wno-error=overloaded-virtual -Wno-error=missing-field-initializers
 # -Wno-error=deprecated-copy -Wno-error=format-overflow=
 # -std=c++11
 
@@ -19,7 +19,7 @@
 
 export ANTLR_JAR_PATH=/usr/share/java/antlr4.jar
 
-MAX_PARALLEL=--max-parallel=3
+MAX_PARALLEL=--max-parallel=8
 
 %:
 	dh $@ $(MAX_PARALLEL) --with python3

=== debian/watch ===
# uscan(1) configuration file.
version=4

## WTF, Oracle? :: https://bugs.mysql.com/bug.php?id=109160
## Latest release:
opts="\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s{\+dfsg\d*}{},\
uversionmangle=s{\.?\-rc}{~rc},\
downloadurlmangle=s{/downloads/gpg/\?file=}{/get/Downloads/MySQLGUITools/};s{\&p=8\Z}{},\
filenamemangle=s{\&p=8|\?file=}{}g,\
pgpmode=mangle,pgpsigurlmangle=s{$}{&p=8};s{/get/Downloads/MySQLGUITools/}{/downloads/gpg/?file=},\
" https://dev.mysql.com/downloads/workbench/?tpl=files&os=src \
 .*/?file=mysql-workbench-community-([\d\.]+)(?:\-rc\d*)?(?:-nodocs)?-src\.tar\.(?:gz|bz2|xz)&p=8


## Archives (previous releases except the latest one):
opts="\
repacksuffix=+dfsg,\
repack,compression=xz,\
pgpsigurlmangle=s{(.*)/get/p/8/file/(.*)$}{$1/gpg/?file=$2&p=8},\
dversionmangle=s{\+dfsg\d*}{},\
uversionmangle=s{\.?\-rc}{~rc},\
" https://downloads.mysql.com/archives/workbench/?tpl=files&os=src \
 .*/mysql-workbench-community-([\d\.]+)(?:\-rc\d*)?(?:-nodocs)?-src\.tar\.(?:gz|bz2|xz)


## Legacy releases:
#opts="\
#repacksuffix=+dfsg,\
#repack,compression=xz,\
#pgpsigurlmangle=s{$}{.asc},\
#dversionmangle=s{\+dfsg\d*}{},\
#uversionmangle=s{\.?\-rc}{~rc},\
#" https://www.mirrorservice.org/sites/ftp.mysql.com/Downloads/MySQLGUITools\
#  /mysql-workbench-community-([\d\.]+)(?:\-rc\d*)?(?:-nodocs)?-src\.tar\.(?:gz|bz2|xz)
